<div class="container" (contextmenu)="contextMenuDisableX()" #refcontainer>
  <div class="container__title" (mousedown)="draggingManager.startDrag($event, refcontainer)">
      <img src="assets/ico_speak.png" style="transform: scale(1.5);margin-bottom: -8px;margin-left: -11px;" />
      <span>{{game.player.npcTarget.getName()}} </span>
      <div (click)="game.player.npcTarget = null" class="close">&times;</div>
  </div>
  <div class="skill-bar">
      <ul class="menu">
        <li [ngClass]="{'selected':tabSelection=='talk'}" (click)="selectTab('talk')">Talk</li>
        <li [ngClass]="{'selected':tabSelection=='trade'}" (click)="selectTab('trade')">Trade</li>
      </ul>
      <div style="margin-top:20px" [ngSwitch]="tabSelection">
          <app-npc-talk  *ngSwitchCase="'talk'" [game]="game" [@fadeIn]="'in'"></app-npc-talk>
          <app-npc-trade *ngSwitchCase="'trade'" [game]="game" [@fadeIn]="'in'"></app-npc-trade>
      </div>
  </div>
</div>
